cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bill French <fre...@SIMS.Berkeley.EDU>
Subject Re: build problem
Date Wed, 13 Aug 2003 22:43:43 GMT
hmm, i'm confused. why can't i use my regular old install of ant to 
build cocoon?

On Wednesday, August 13, 2003, at 03:34  PM, Joerg Heinicke wrote:

> Hmm, but the links to Ant are not correct. You locally installed 
> version (/usr/local/ant/lib) is used while it should be 
> /Users/french/download/cocoon-2.1/tools/lib. Does it work if you unset 
> ANT_LIB before calling Cocoon script?
>
> Joerg
>
> Bill French wrote:
>
>> jeorg, i never touched the build script. ant is complaining that it  
>> can't find a class --  
>> org.apache.tools.ant.taskdefs.optional.TraXLiaison -- that's packaged 
>>  in optional.jar.
>> On Wednesday, August 13, 2003, at 02:50  PM, Joerg Heinicke wrote:
>>> Can't you use the build scripts of Cocoon as they are? Cocoon comes  
>>> with all needed libraries and the build script already sets 
>>> classpath  correctly.
>>>
>>> Joerg
>>>
>>> Bill French wrote:
>>>
>>>> hi,
>>>> i'm on mac os 10.2.6:
>>>> Darwin 6.6 Darwin Kernel Version 6.6: Thu May  1 21:48:54 PDT 2003; 
>>>>   root:xnu/xnu-344.34.obj~1/RELEASE_PPC  Power Macintosh powerpc
>>>> java 1.4.1:
>>>> Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.1_01-39)
>>>> Java HotSpot(TM) Client VM (build 1.4.1_01-14, mixed mode)
>>>> and i'm using ant 1.5.3 to build cocoon 2.1 from source. i added a  
>>>>  couple of debug lines to my ant shell script, and i have:
>>>> ANT_LIB set to /usr/local/ant/lib
>>>> LOCALCLASSPATH set to   
>>>> /usr/local/ant/lib/xml-apis.jar:/usr/local/ant/lib/xercesImpl.jar:/ 
>>>> usr/  
>>>> local/ant/lib/optional.jar:/usr/local/ant/lib/mindbright.jar:/usr/  
>>>> local/ant/lib/gc_ant_optional.jar:/usr/local/ant/lib/ant.jar
>>>> but i still can't build. i've tried different targets -- i'm given  
>>>> the  error:
>>>> BUILD FAILED
>>>> file:/Users/french/download/cocoon-2.1/src/targets/compile-  
>>>> build.xml:178: java.lang.ClassNotFoundException:   
>>>> org.apache.tools.ant.taskdefs.optional.TraXLiaison
>>>> has anyone else had problems building from the new 2.1 source   
>>>> distribution? i shower you with thanks in advance.
>>>> --bill
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
> For additional commands, e-mail: users-help@cocoon.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message